import { Ref } from 'vue';
import { EChartsType, Option } from '../types';
declare const METHOD_NAMES: readonly ["getWidth", "getHeight", "getDom", "getOption", "resize", "dispatchAction", "convertToPixel", "convertFromPixel", "containPixel", "getDataURL", "getConnectedDataURL", "appendData", "clear", "isDisposed", "dispose"];
declare type MethodName = typeof METHOD_NAMES[number];
declare type PublicMethods = Pick<EChartsType, MethodName>;
export declare function usePublicAPI(chart: Ref<EChartsType | undefined>, init: (option?: Option) => void): PublicMethods;
export {};
